Resent-Date: Wed, 3 Mar 1999 20:54:50 +0100 (MET)
Date: Thu, 4 Mar 1999 06:50:16 +1100 (EST)
From: Ken Tyler <kent@werple.net.au>
Reply-To: Ken Tyler <kent@werple.net.au>
To: linux-apus@sunsite.auc.dk
Cc: linux-m68k@lists.linux-m68k.org
Subject: <none>
Organization: Organization
Resent-From: linux-m68k@phil.uni-sb.de


There were two errors in the 16 bit blitter patch posted recently. 

A kernel compiled with CFB16 but not CFB8 would have had problems.

Here's the fix.

Ken.

--- linux/drivers/video/virgefb.c.save	Thu Mar  4 10:23:13 1999
+++ linux/drivers/video/virgefb.c	Thu Mar  4 10:23:29 1999
@@ -723,7 +723,7 @@
 			blitcmd |= S3V_DST_8BPP;
 			break;
 #endif
-#ifdef FBCON_HAS_CFB8
+#ifdef FBCON_HAS_CFB16
 		case 16 :
 			blitcmd |= S3V_DST_16BPP;
 			break;
@@ -789,7 +789,7 @@
 			blitcmd |= S3V_DST_8BPP;
 			break;
 #endif
-#ifdef FBCON_HAS_CFB8
+#ifdef FBCON_HAS_CFB16
 		case 16 :
 			blitcmd |= S3V_DST_16BPP;
 			break;




